JOOM::GALLERY::FORUM

JoomGallery 3.x JUX => Installation / Update => Thema gestartet von: MrMusic am 16-01-2015 10:13:23



Titel: Upgrade der JoomGallery 2.1.x ACL zur JoomGallery 3.x JUX
Beitrag von: MrMusic am 16-01-2015 10:13:23
Bei der Migration von der JoomGallery 1.5 MVC zur aktuellen JoomGallery war/ist noch ein Migrationsscript notwendig.
Dies ist ab Joomla! 2.5 nicht mehr notwendig. Es handelt sich hier nicht um eine Migration, sondern (nur) um ein Upgrade.

Das Upgrade der JoomGallery 2.x zur 3.x läuft sehr einfach und in wenigen Schritten ab.
Zum Upgrade von Joomla! selbst gibt es im Netz bereits sehr viele Informationen, deshalb wollen wir hier nicht näher darauf eingehen.

Der Ablauf in Sichworten:

1. Backup vornehmen - wie eigentlich immer vor jeder Änderung  :-)
2. Das Upgrade von Joomla! vornehmen
3. Die aktuelle JoomGallery 3.x installieren
4. Sprachdateien und Erweiterungen (Module, Plugins, ...) der JoomGallery aktualisieren

Wir haben für euch ein Video erstellt, welches den kompletten Upgrade-Vorgang - also mit dem Joomla!-Upgrade - zeigt.
Ihr findet das Video in unserem Kanal auf YouTube (https://www.youtube.com/channel/UCcAp8Kd7jL4h9JArAPDlHnQ/feed).


Titel: Upgrade der JoomGallery 2.1.x ACL zur JoomGallery 3.x JUX
Beitrag von: MrMusic am 20-03-2015 21:13:51
Auf Github findet ihr ein Migrationsscript für die Migration der JoomGallery 2.1 ACL zur JoomGallery 3.x JUX.
Damit könnt ihr die Migration einer JoomGallery 2.1.x auf die aktuelle JoomGallery 3.x vornehmen, falls der Weg über das Upgrade von Joomla! scheitern sollte.

Folgende Einschränkungen sind allerdings zu beachten:
1. Die Joomla!-ACL Berechtigungen, die ihr für Kategorien oder Bilder vergeben habt, werden nicht migriert. Dies bedeutet, für alle Kategorien und Bilder werden die Berechtigungen auf "Standard" zurückgesetzt.
2. Die Einstellungen aus dem css-Manager werden nicht übernommen.
3. Alle zusätzlichen Module und Plugins, wie z.B. die Additional-Fields, marketlink, zusätzliche PopUp-Boxen, etc. müssen neu installiert und konfiguriert werden.

Wir möchten darauf hinweisen, dass der empfohlene Weg nach wie vor der über das Upgrade (siehe oben) von Joomla! 2.5 auf 3.x ist.
Das Migrationsscript sollte nur genutzt werden, wenn das Upgrade von Joomla! 2.5 auf 3.x nicht möglich sein sollte.

Hier findet ihr eine Dokumentation (http://www.joomgallery.net/dokumentation/allgemeines/migration-von-der-jg-157-zur-jg-2.html) zum Thema Migration, die analog auch hier gilt.

Edit: In den Downloads findet sich nun offiziell das Migrationsscript (https://github.com/JoomGallery/MigrateACL2JUX/releases).